<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="CurrentSensor">
  <refnamediv>
    <refname>CurrentSensor</refname>
    <refpurpose>Electrical current sensor</refpurpose>
  </refnamediv>
  <refsection>
    <title>Block Screenshot</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/CurrentSensor_blk.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
  </refsection>
  <refsection id="Contents_CurrentSensor">
    <title>Contents</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="CurrentSensor">Electrical current sensor</link>
        </para>
      </listitem>
      <listitem>
        <itemizedlist>
          <listitem>
            <para>
              <xref linkend="Palette_CurrentSensor">Palette</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Description_CurrentSensor">Description</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Defaultproperties_CurrentSensor">Default properties</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <xref linkend="Interfacingfunction_CurrentSensor">Interfacing function</xref>
            </para>
          </listitem>
          <listitem>
            <para>
              <link linkend="CurrentSensor">Modelica model</link>
            </para>
          </listitem>
        </itemizedlist>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Palette_CurrentSensor">
    <title>Palette</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="Electrical_pal">Electrical.cosf - Electrical toolbox</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_CurrentSensor">
    <title>Description</title>
    <para>
This block is inserted in series in an electrical circuit to measure
the current passing through the component. The measure is given to the
explicit part of the model via an explicit pout. Conventionally,
current flowing into the black port is considered positive. The ohmic
resistance of this block is zero.

</para>
  </refsection>
  <refsection id="Defaultproperties_CurrentSensor">
    <title>Default properties</title>
    <itemizedlist>
      <listitem>
        <para>
          <emphasis role="bold">Inputs :</emphasis>
        </para>
        <itemizedlist>
          <listitem>
            <para><emphasis role="bold">Modelica variable name :</emphasis> 'p'
</para>
            <para>
Implicit <emphasis role="bold">variable.</emphasis>


</para>
          </listitem>
        </itemizedlist>
      </listitem>
      <listitem>
        <para>
          <emphasis role="bold">Outputs :</emphasis>
        </para>
        <itemizedlist>
          <listitem>
            <para><emphasis role="bold">Modelica variable name :</emphasis> 'n'
</para>
            <para>
Implicit <emphasis role="bold">variable.</emphasis>


</para>
          </listitem>
          <listitem>
            <para><emphasis role="bold">Modelica variable name :</emphasis> 'i'
</para>
            <para>
Explicit <emphasis role="bold">variable.</emphasis>


</para>
          </listitem>
        </itemizedlist>
      </listitem>
      <listitem>
        <para><emphasis role="bold">File name of the model :</emphasis> CurrentSensor</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Interfacingfunction_CurrentSensor">
    <title>Interfacing function</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/macros/Electrical/CurrentSensor.sci</para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Modelicamodel_CurrentSensor">
    <title>Modelica model</title>
    <itemizedlist>
      <listitem>
        <para> SCI/modules/scicos_blocks/macros/Electrical/CurrentSensor.mo</para>
      </listitem>
    </itemizedlist>
  </refsection>
</refentry>
